subtle - Bug #316

Can't launch subtle / sublter on archlinux
01/06/2015 04:00 PM - Francgois-Xavier LdM

Status: Closed Start date: 01/06/2015
Priority: Immediate Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

Hello,

After «patching» the Rakefile as exposed in #315

Run the compilation process of subtle. after installation, when | launch sublter, | got the following message :

@

$>subtler
ERROR: Cannot find runtime files of subtler
Please make sure that you installed subtle into the
current ruby environment (2.2.0)

@

all the console output :

@

$>cd subtle

$>rake

checking for stdio.h... yes

checking for stdlib.h... yes

checking for stdarg.h... yes

checking for string.h... yes

checking for unistd.h... yes

checking for signal.h... yes

checking for errno.h... yes

checking for assert.h... yes

checking for sys/time.h... yes

checking for sys/types.h... yes

checking for sys/inotify.h... yes

checking for wordexp.h... yes

checking for execinfo.h... yes

checking for X11/Xlib.h... yes

checking for X11/Xpm.h... yes

checking for X11/Xft/Xft.h... yes

checking for X11/extensions/Xinerama.h... yes
checking for X11/extensions/Xrandr.h... yes
checking for X11/extensions/XTest.h... yes
checking for select()... yes

checking for rb_enc_set_default_internal()... yes
Creating config.yml

creating config.h

subtle 0.11.3243

Binaries............: //usr/bin
Configuration.......: /etc/xdg/subtle
Extension...........: //usr/lib/ruby/site_ruby/2.2.0/subtle
Xpm support.........: yes

Xft support.........: yes
Xinerama support....: yes
XRandR support......: yes
XTest support.......: yes
Debugging messages..: no

CC build/subtle/shared.o
CC build/subtle/array.o
CC build/subtle/client.o
CC build/subtle/display.o
CC build/subtle/event.o
CC build/subtle/ewmh.o
CC build/subtle/grab.o

CC build/subtle/gravity.o
CC build/subtle/hook.o
CC build/subtle/panel.o
CC build/subtle/ruby.o

CC build/subtle/screen.o
CC build/subtle/style.o

CC build/subtle/subtle.o
CC build/subtle/tag.o

CC build/subtle/text.o

CC build/subtle/tray.o

CC build/subtle/view.o

LD subtle

CC build/subtlext/shared.o
CC build/subtlext/client.o
CC build/subtlext/color.o
CC build/subtlext/geometry.o
CC build/subtlext/gravity.o
CC build/subtlext/icon.o
CC build/subtlext/screen.o
CC build/subtlext/sublet.o
CC build/subtlext/subtle.o
CC build/subtlext/subtlext.o
CC build/subtlext/tag.o
CC build/subtlext/tray.o
CC build/subtlext/view.o
CC build/subtlext/window.o
LD subtlext

h$>sudo rake install

LD subtle

LD subtlext
INSTALL config
INSTALL subtle
INSTALL subtlext
INSTALL subtler
INSTALL sur
INSTALL tools
INSTALL manpages

$>subtler
ERROR: Cannot find runtime files of subtler
Please make sure that you installed subtle into the
current ruby environment (2.2.0)

History

#1 - 01/06/2015 04:02 PM - Francois-Xavier LdM
(sorry for the issue output, | don't have the right to modify it after submission ... )

#2 - 01/06/2015 04:03 PM - Francois-Xavier LdM

installation process in verbose mode :

$> sudo rake install -v

gcc -o subtle build/subtle/shared.o build/subtle/array.o build/subtle/client.o build/subtle/display.o build/subtle/event.o build/subtle/ewmh.o
build/subtle/grab.o build/subtle/gravity.o build/subtle/hook.o build/subtle/panel.o build/subtle/ruby.o build/subtle/screen.o build/subtle/style.o
build/subtle/subtle.o build/subtle/tag.o build/subtle/text.o build/subtle/tray.o build/subtle/view.o -L/usr/lib -WI,-rpath=/usr/lib -L/usr/lib -Ipthread -Ilgmp
-Ildl -lerypt -Im -lruby -IX11 -IXft -IXinerama -IXrandr

gcc -o subtlext.so build/subtlext/shared.o build/subtlext/client.o build/subtlext/color.o build/subtlext/geometry.o build/subtlext/gravity.o
build/subtlext/icon.o build/subtlext/screen.o build/subtlext/sublet.o build/subtlext/subtle.o build/subtlext/subtlext.o build/subtlext/tag.o
build/subtlext/tray.o build/subtlext/view.o build/subtlext/window.o -shared -L. -WI,-O1,--sort-common,--as-needed,-z,relro -fstack-protector -rdynamic
-WI,-export-dynamic -L/usr/lib -WI,-rpath=/usr/lib -Ipthread -Ilgmp -Idl -lcrypt -Im -lruby -IX11 -IXpm -IX11 -IXft -IXinerama -IXtst
INSTALL config

install -c -m 0644 data/subtle.rb /etc/xdg/subtle

INSTALL subtle

install -c -m 0755 subtle //usr/bin

INSTALL subtlext

install -c -m 0644 subtlext.so //usr/lib/ruby/site_ruby/2.2.0/subtle

INSTALL subtler

install -c -m 0644 data/subtler/runner.rb //usr/lib/ruby/site_ruby/2.2.0/subtle/subtler

INSTALL sur

install -c -m 0644 data/sur/client.rb //usr/lib/ruby/site_ruby/2.2.0/subtle/sur

install -c -m 0644 data/sur/runner.rb //ust/lib/ruby/site_ruby/2.2.0/subtle/sur

install -c -m 0644 data/sur/server.rb //ust/lib/ruby/site_ruby/2.2.0/subtle/sur

install -c -m 0644 data/sur/specification.rb //usr/lib/ruby/site_ruby/2.2.0/subtle/sur

install -c -m 0644 data/sur/test.rb //usr/lib/ruby/site_ruby/2.2.0/subtle/sur

install -c -m 0644 data/sur/version.rb //usr/lib/ruby/site_ruby/2.2.0/subtle/sur

INSTALL tools

install -c -m 0755 data/bin/subtler //ust/bin

install -c -m 0755 data/bin/sur //usr/bin

install -c -m 0755 data/bin/surserver //usr/bin

INSTALL manpages

install -c -m 0644 data/man/subtle.1 //usr/share/man/man1

install -c -m 0644 data/man/subtler.1 //usr/share/man/man1

install -c -m 0644 data/man/subtlext.1 //usr/share/man/man1

install -c -m 0644 data/man/sur.1 //usr/share/man/man1

install -c -m 0644 data/man/surserver.1 //ust/share/man/man1

#3 - 01/06/2015 04:05 PM - Christoph Kappel

Can you open subtler with an editor and post the shebang line from the file?

Do you use the same system ruby for your user or any virtualized one like rubybench/rvm/etc?

Also when your copy of the repo is from a previous install, run rake clobber first to wipe cached data when e.g. a library version has changed.

#4 - 01/06/2015 04:17 PM - Francois-Xavier LdM

@head /usr/bin/subtler
#!/usr/bin/ruby # encoding: utf-8 # # @package subtle # # @file Subtle remote # @author Christoph Kappel <unexist@subforge.org> #
@version $ld: sur.rb,v 7 2009/09/07 21:25:11 unexist $ # # This program can be distributed under the terms of the GNU GPL.@

(same result with subtle/data/bin/subtler)

Do you use the same system ruby for your user or any virtualized one like rubybench/rvm/etc?

| don't write ruby programs,so i suppose | got the default setting.

Also when your copy of the repo is from a previous install, run @rake clobber' first to wipe cached data when e.g. a library version has changed.

| tried to rerun rake after rake clubber, no effect, but | cloned a fresh version of sublte from mercurial, so it shouldn't be the problem.

#5 - 01/09/2015 02:23 PM - Francois-Xavier LdM

- Status changed from Confirmed to Closed

| feel so stupid,

It seems to be just a permission problem,
/ust/lib/ruby/site_ruby/2.2.0 and all file inside are not readable by non-root user.
| don't know if it is are ruby bug or a packaging error.

Thank you for your time.
